<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>


    <!-- load script.js -->
    <script src="./script.js"></script>

    <script>
        document.createElement = function (create) {
            return function () {
                var ret = create.apply(this, arguments);
                console.error(arguments, ret);
                return ret;
            };
        }(document.createElement)
    </script>
</head>

<body>
    <button id="button">Choose file</button>

    <script>
        const input = document.createElement("input")
        input.setAttribute("type", "file");

        const button = document.getElementById("button")

        button.addEventListener("click", () => {
            input.click()
        })
    </script>
</body>

</html>